@import 'libs/shared/assets/src/global-style/variable';

.action-breadcrumb-float-right {
  display: flex;
  position: fixed;
  right: 25px;
  top: 130px;
}

nz-page-header {
  padding-top: 0;
  padding-bottom: 0;
  .mergeButton {
    background-color: $white-color;
    border: none;
    font-weight: 600;
  }
}

nz-input-number {
  width: 100%;
  border-radius: 8px;
  height: 44px;
  margin-top: 5px;
  padding-top: 5px;
}

.card-header {
  &__rangeDateTitle {
    color: $label-color;
    font-size: 14px;
    font-family: avertaB, sans-serif;
  }

  &__rangeDate {
    width: 100%;
    margin-top: 4px;
    height: 42px;
    border-radius: 8px;
  }

  .emp-infoTitle {
    color: $label-color;
    font-size: 14px;
    font-family: avertaB, sans-serif;
  }

  &__btnGroup {
    margin-top: 15px;
    .search-btn {
      background-color: $active-status-invisibile;
      font-weight: 700;
      border: none;
    }

    .expand-btn {
      border-radius: 8px;
      margin-left: 15px;
    }
  }

  &__proposeCheckbox {
    margin-top: 30px;
  }
}

::ng-deep .excelIcon {
  height: 12px;
}

.data-table {
  margin-top: 1em;

  &__item {
    cursor: pointer;
  }

  &__statusDisplay {
    width: 100%;
    border-radius: 8px;
    height: 30px;
    padding: 5px;
    text-align: center;
  }

  &__parentPos {
    width: 510px;
  }

  .subColumnPTNL {
    width: 255px;
  }

  .subColumnOthers {
    width: 170px;
  }


  .formRotation {
    width: 130px;
  }



  .userPerson {
    width: 150px;
  }

  .handlePerson {
    width: 110px;
  }

  .sentDateHeader {
    width: 130px;
  }

  .proposeGroup {
    width: 160px;
  }

  .issueLevel {
    width: 120px;
  }

  .approvePerson {
    width: 180px;
  }

  .handlePerson {
    width: 110px;
  }

  .statusPublish {
    width: 180px;
  }

  &__tickIcon {
    color: $active-status-green;
    margin-left: 30px;
    font-size: 18px;
  }

  &__handleBtn {
    margin-left: 0;
  }

  &__matAction {
    margin-left: 25px;
  }

}

.matAction {
  margin-left: 25px;
}

.calendar {
  font-size: 15px;
  margin-left: 0;
}

.icons_HRDV {
  margin-left: 15px;
  font-size: 18px;
  cursor: pointer;
}

.sentDate {
  margin-left: 10px;
}

::ng-deep .proposeType {
  .ant-checkbox-disabled.ant-checkbox-checked {
    .ant-checkbox-inner {
      background-color: $bg-primary-default;
      border-color: $bg-primary-default !important;

      &::after {
        border-color: $search-border-color;
      }
    }
  }
}

.text-ellipsis {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.ant-table-cell {
  padding: 6px;
}

::ng-deep .proposeCode {
  .ant-input-number-handler-wrap {
    border-bottom-right-radius: 8px;
    border-top-right-radius: 8px;
  }
}

.approveButton {
  float: right;
}

.listEmpIconButton.anticon-more {
  font-size: 22px;
  margin-left: 15px;
  &:hover {
    cursor: pointer;
    color: $hover-color;
    border-radius: 2px;
  }
}

.menu__item {
  width: 100%;
  border-bottom: 1px solid $input-border-color;
  padding: 10px 0;
}

.subButton_dropdown {
  padding: 0 10px;
  width: 110px;
}

.icon_dropdown {
  font-size: 17px;
}

.subDropdown_label {
  margin-left: 10px;
  font-size: 15px;
}
